import React, { DetailedHTMLProps, ReactElement, ReactNode } from 'react';
type HtmlTooltipProps = DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>;
export interface TooltipProps extends HtmlTooltipProps {
    align: 'top' | 'top-left' | 'top-right' | 'bottom' | 'bottom-left' | 'bottom-right' | 'left' | 'left-bottom' | 'left-top' | 'right' | 'right-bottom' | 'right-top';
    label: ReactNode;
    dataTestid?: string;
    children: ReactElement;
}
export declare const Tooltip: ({ align, label, id, dataTestid, className, children, }: TooltipProps) => JSX.Element;
export {};
